<template>
  <div>
    <v-img v-if="image" :src="image" contain width="100%" max-height="700" :aspect-ratio="16 / 9">
      <div class="text-center pt-15">
        <div class="display-2" v-html="message"></div>

        <div class="mt-5">
          <nuxt-link to="/" v-text="$t('button.go-to-home')"></nuxt-link>
        </div>
      </div>
    </v-img>
  </div>
</template>

<script>
const ALLOW_FILES = [404, 500]

export default {
  name: 'NotFound',

  props: {
    error: {
      type: Object,
      required: true,
    },
  },

  computed: {
    code() {
      return Number(this.error.statusCode)
    },

    image() {
      return ALLOW_FILES.includes(this.code) ? require(`~/assets/images/error/${this.code}.svg`) : null
    },

    message() {
      const key = this.code === 404 ? 'not-found' : 'default'
      return this.$t(`error.${key}`)
    },
  },
}
</script>
